#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#
#define debug_package %{nil}

%define rel 1

Summary:        KDE Frameworks 5 Tier 3 addon for Qt declarative
Name:           kdeclarative
Version: 5.42.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/


BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(epoxy)

BuildRequires:  pkgconfig(Qt5Core) 
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5DBus)



BuildRequires: kconfig-devel  >= %version
BuildRequires: ki18n-devel  >= %version
BuildRequires: kiconthemes-devel  >= %version
BuildRequires: kio-devel  >= %version
BuildRequires: kwidgetsaddons-devel  >= %version
BuildRequires: kwindowsystem-devel  >= %version
BuildRequires: kglobalaccel-devel  >= %version
BuildRequires: kguiaddons-devel  >= %version
BuildRequires: kpackage-devel  >= %version

BuildRequires: cmake(KF5Codecs) >= %version


%description
KDE Frameworks 5 Tier 3 addon for Qt declarative

%files -f %{name}5.lang
%_kf5_bindir/kpackagelauncherqml
%_kf5_qmldir/org/kde/draganddrop
%_kf5_qmldir/org/kde/kcoreaddons
%_kf5_qmldir/org/kde/kquickcontrols
%_kf5_qmldir/org/kde/kquickcontrolsaddons
%_kf5_qmldir/org/kde/private/kquickcontrols
%_kf5_qmldir/org/kde/kio
%_kf5_qmldir/org/kde/kwindowsystem
%_kf5_qmldir/org/kde/kconfig
%_kf5_qmldir/org/kde/kcm

#--------------------------------------------------------------------

%define kf5declarative_major 5
%define libkf5declarative %mklibname kf5declarative %{kf5declarative_major}

%package -n %libkf5declarative
Summary:  KDE Frameworks 5 Tier 3 addon for Qt declarative
Group:        System/Libraries

%description -n %libkf5declarative
KDE Frameworks 5 Tier 3 addon for Qt declarative

%files -n %libkf5declarative
%_kf5_libdir/libKF5Declarative.so.%{kf5declarative_major}*

#--------------------------------------------------------------------

%define kf5quickaddons_major 5
%define libkf5quickaddons %mklibname kf5quickaddons %{kf5quickaddons_major}

%package -n %libkf5quickaddons
Summary:  KDE Frameworks 5 Tier 3 addon for Qt declarative
Group:        System/Libraries

%description -n %libkf5quickaddons
KDE Frameworks 5 Tier 3 addon for Qt declarative

%files -n %libkf5quickaddons
%_kf5_libdir/libKF5QuickAddons.so.%{kf5quickaddons_major}*

#--------------------------------------------------------------------

%define kf5calendarevents_major 5
%define libkf5calendarevents %mklibname kf5calendarevents %{kf5calendarevents_major}

%package -n %libkf5calendarevents
Summary:  KDE Frameworks 5 Tier 3 addon for Qt declarative
Group:        System/Libraries

%description -n %libkf5calendarevents
KDE Frameworks 5 Tier 3 addon for Qt declarative

%files -n %libkf5calendarevents
%_kf5_libdir/libKF5CalendarEvents.so.%{kf5calendarevents_major}*

#--------------------------------------------------------------------

%define kf5declarative_devel %mklibname kf5declarative -d

%package -n %kf5declarative_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5declarative = %version-%release
Requires:       %libkf5quickaddons = %version-%release
Requires:       %libkf5calendarevents = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5declarative_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5declarative_devel
%_kf5_includedir/KDeclarative
%_kf5_includedir/kdeclarative_version.h
%_kf5_libdir/cmake/KF5Declarative
%_kf5_libdir/*.so
%_libdir/qt5/mkspecs/modules/*.pri

#--------------------------------------------------------------------

%prep
%setup -q 

%build
%cmake_kf5
%make

%install
%makeinstall_std -C build
%find_lang %{name}5



%changelog
* Thu Feb 01 2018 neoclust <neoclust> 5.42.0-1.mga6
+ Revision: 1198392
- New version 5.42

* Tue Mar 07 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1089451
- New version 5.32.0

* Mon Dec 26 2016 neoclust <neoclust> 5.29.0-2.mga6
+ Revision: 1078114
- Rebuild for arm

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074527
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072188
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058347
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050524
- New version 5.26.0

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045102
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041324
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021922
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014332
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999629
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986321
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942241
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921275
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 913135
- Rebuild against Qt 5.6.0 Beta

* Mon Dec 14 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 910327
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900575
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899364
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898919
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888159
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881383
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 863176
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 862774
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Tue Jul 14 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 853790
- New version 5.12.0

* Mon Jun 29 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 847373
- New version 5.11.0

* Thu Dec 18 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 803976
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-3.mga5
+ Revision: 750520
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-2.mga5
+ Revision: 680990
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 660422
- New version 5.1.0

* Mon Jul 14 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 652189
- New version 5.0.0
- New version 4.100.0
- New version 4.99.0
- New version 4.98.0

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 599818
- New version 4.97.0

* Thu Feb 20 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 595104
- imported package kdeclarative

